Subject: Re: [PATCH 5/5] fpga: m10bmc-sec: switch show_canceled_csk() to using sysfs_emit()

From: Yury Norov <[email-masked]>
Date: Mon, 27 Apr 2026 22:56:22 -0400

On Wed, Mar 25, 2026 at 03:25:48PM +0800, Xu Yilun wrote:
> On Tue, Mar 24, 2026 at 02:38:04PM -0400, Yury Norov wrote:
> > On Tue, Mar 24, 2026 at 05:15:33PM +0800, Xu Yilun wrote:
> > > On Tue, Mar 03, 2026 at 03:08:41PM -0500, Yury Norov wrote:
> > > > Switch show_canceled_csk() to use the proper sysfs_emit("%*pbl").
> > > > 
> > > > Reviewed-by: Russ Weight <[email-masked]>
> > > > Suggested-by: Thomas Weißschuh <[email-masked]>
> > > > Signed-off-by: Yury Norov <[email-masked]>
> > > > ---
> > > >  drivers/fpga/intel-m10-bmc-sec-update.c | 3 ++-
> > > >  1 file changed, 2 insertions(+), 1 deletion(-)
> > > > 
> > > > diff --git a/drivers/fpga/intel-m10-bmc-sec-update.c b/drivers/fpga/intel-m10-bmc-sec-update.c
> > > > index 10f678b9ed36..ae364c6636eb 100644
> > > > --- a/drivers/fpga/intel-m10-bmc-sec-update.c
> > > > +++ b/drivers/fpga/intel-m10-bmc-sec-update.c
> > > > @@ -10,6 +10,7 @@
> > > >  #include <linux/firmware.h>
> > > >  #include <linux/mfd/intel-m10-bmc.h>
> > > >  #include <linux/mod_devicetable.h>
> > > > +#include <linux/mm.h>
> > > 
> > > Why add this header file?
> > 
> > When I was preparing the series, I had build issues without this. But
> > now I checked it against -rc5, and it's clean. Would you like me to
> > resend?
> 
> No need. Given that I'll pick this patch alone to fpga for-next with the
> fix.
> 
> Reviewed-by: Xu Yilun <[email-masked]>

Hi Xu,

This patch is still not applied. This is the last non-lib user of
the bitmap_print_to_pagebuf(), and it blocks me from removing the
function.

Are you still going to pick it yourself? I can move the patch with
bitmap-for-next if you prefer.

Thanks,
Yury